/*
 * HAL.h
 *
 * Created: 23.12.2019 14:02:55
 *  Author: GoldenAndy
 */ 


#ifndef HAL_H_
#define HAL_H_

	#include <avr/io.h>
	
	
	#include "../_common/i2c_dumb_master/i2c_mstr.h"
	#include "../_common/RDA5807M/RDA5807M.h"
	#include "../_common/LCD_GRAPHICS/OLED_SSD1306/oled_ssd1306.h"

	//------------------------------------------- i2c 
	//     i2c
	uint8_t i2c_sendSSD1306data(uint8_t i2cAddr8bit, uint8_t prefix, uint8_t* buffer, uint8_t dataCount);
	//     i2c
	uint8_t i2c_WriteAddrWriteData(uint8_t i2c_7bitAddr, uint8_t Reg, void* Value, uint8_t dataCount);
	uint8_t i2c_WriteAddrReadData(uint8_t i2c_7bitAddr, uint8_t Reg, void* Value, uint8_t dataCount);


	//------------------------------------------- 
	//  
	#define KEY_UP			_BV(PORTD5)
	#define KEY_DOWN		_BV(PORTD3)
	#define KEY_LEFT		_BV(PORTD6)
	#define KEY_RIGHT		_BV(PORTD4)
	#define KEY_CENTER		_BV(PORTD7)
	#define KEYS_MASK		( KEY_UP | KEY_DOWN | KEY_LEFT | KEY_RIGHT | KEY_CENTER )
	
	uint8_t keysGetPress(void);					//	    
	
	void keysEnableWakeUp(uint8_t wakeUpMask);	//	   ,  ,  
	void keysDisableWakeUp(void);				//	   
	
	//   
	#define KEYS_WAKE_INTERRUPT			PCINT2_vect
	
	//-------------------------------------------  
	void goSleep(void);
	
	//-------------------------------------------   / 
	void phonesEnableOutput(void);				//	  
	void phonesEnableCheckPresent(void);		//	    
	void phonesDisableCheckPresent(void);		//	     
	void phonesSetOut(uint8_t outValue);		//	     
	uint8_t phonesGetPresent(void);				//     (     )
	
	//-------------------------------------------   
	void extAmpControlSetState(uint8_t state);	//	1 - , 0 -  
	
	//-------------------------------------------  
	//    
	#define ONE_SECOND_INTERRUPT		TIMER2_OVF_vect
	
	//-------------------------------------------  
	uint8_t batteryGetChargingState(void);					//	  
	uint16_t batteryGetVoltage(uint8_t vBandgap);			//    (   )
	uint8_t batteryGetReferenceVoltage(uint16_t vBat);		//    (    )
 
	//------------------------------------------- System clock
	//     
	#define SYS_CLOCK_INTERRUPT			TIMER0_COMPA_vect
 
	//-------------------------------------------  
	void hardwareInit(void);


#endif /* HAL_H_ */