#ifndef _Defines_
#define _Defines_ 1

	//#define F_CPU 16000000UL
	#define F_CPU 8000000UL
	
	#define HI(x) ((x)>>8)
	#define LO(x) ((x)& 0xFF)
	
	#define _CONCAT_EXPRESSION(a, b)	a ## b
	#define __OUTPORT(name)				_CONCAT_EXPRESSION(PORT, name)
	#define __INPORT(name)				_CONCAT_EXPRESSION(PIN, name)
	#define __DDRPORT(name)				_CONCAT_EXPRESSION(DDR, name)
	
	#define NOP							asm volatile ("nop" : : )
	#define WDR							asm volatile ("wdr" : : )
	
	#define __NO_INIT					__attribute__ ((section (".noinit")))
	
	#include <stdint.h>
	
//------------------------------------------- Keys antibounce constants
	#define _KEY_BOUNCE_8BIT_
	
	#define _KEY_LONG_PRESS_TIME_	950		//    ,    .
	#define _KEY_REPEAT_TIME_		50		//    ,    .
	#define _KEY_BOUNCE_TIME_		20		//     .
	
//-------------------------------------------  
	#define  kpNoPress	0 //   keyPressType,        switch  keyPressType
	
	typedef enum {
		//kpNoPress = 0,
		kpOk = 1,
		kpOkLong,
		kpLeft,
		kpLeftLong,
		kpRight,
		kpRightLong,
		kpUp,
		kpDown
		} keyPressType;  
		
//-------------------------------------------  
	#define KEY_SOUND_DURATION				40		//   
	#define TEMPORARY_MODES_TIME			3000	//    (   ..)
	
//-------------------------------------------  t
	#define BATTERY_FILTER_DEPTH	16
		
//------------------------------------------- 
	typedef struct {
		uint8_t hour;
		uint8_t min;
		uint8_t sec;
		uint8_t changed;
		} timeType; 
	
	typedef struct {
		uint8_t hour;
		uint8_t min;
		} timeEditorType; 
	
//------------------------------------------- 
	typedef enum {
		mSplashScreen = 0,	//     
		mRadioTurnOn,		//   
		mSleep,				//   ( )
		mShowTime,			//   ( )
		mTimeGoSleep,		//      
		mShowRadio,			//   
		mRadioScanUp,		//   /
		mRadioScanDown,		//   /
		mRadioGoSleep,		//      
		mRadioSleep,		//    
		mRadioTurnOff,		//  
		mNoHeadphones,		//  
		mMainMenu,			//  
		mErrNoFm,			//  -   
		mErrNoFmSleep,		//    " "
		mBatteryLow,		//   
		mSetTime,			//  
		mPresetList,		//   
		mAutoScan			//  
		
		} modeType; 

//------------------------------------------- menu commands
typedef enum {
	mcmdNoCmd = 0,
	mcmdGoPresets,
	mcmdSetSleep,
	mcmdMoveChUp,
	mcmdMoveChDn,
	mcmdChSaveDel,																		    
	mcmdChSetFreq,
	mcmdMonoStereo,
	mcmdLoudness,
	mcmdRDSmode,
	mcmdAutoScan,		 
	mcmdSetBkLight,
	mcmdKeySound0,		// keySound     ,   .
	mcmdKeySound1,		// keySound
	mcmdKeyActOff,		// keyAct ,  ,  
	mcmdKeyActOn,		// keyAct
	mcmdSetBatVolt,
	mcmdSetLowBat,
	mcmdDevRestart,
	mcmdDevClear,
	mcmdSetTime,
	mcmdChInsLine,
	mcmdChDelLine
	} menuCommandType; 

//------------------------------------------- Radio presets
	#define FM_PRESETS		48

//------------------------------------------- settings 	

	#define EEVERSION	11

	typedef struct {
		uint8_t eeVersion;
		struct {
			uint16_t presets[FM_PRESETS];  //       
			uint16_t lastFreq;
			uint8_t lastVol;
			uint8_t bass;
			uint8_t stereo;
			uint8_t showRds;
			} radio;
		struct {
			uint8_t lightTime;
			uint8_t	keySound;
			uint8_t keyAction;
			} system;
		struct {
			uint8_t bandGap;
			uint16_t lowVoltage;
			} battery;
	} settingsType;
	
#endif /*_Defines_*/

/*
 -------
 
*/