/*
 * graphics.h
 *
 * Created: 29.12.2019 18:26:56
 *  Author: GoldenAndy
 */ 


#ifndef GRAPHICS_H_
#define GRAPHICS_H_

	//#define USE_CONTRAST_SHIFT

	#include <avr/pgmspace.h>
	#include <stdint.h>
	
	#include "defines.h"
	#include "../_common/LCD_GRAPHICS/GraphLib/GraphLib.h"
	#include "../_common/LCD_GRAPHICS/OLED_SSD1306/oled_ssd1306.h"
	#include "GraphLibInterface.h"
	
	void drawDisplay(modeType drawMode);	
	uint8_t drawProcessIsEnd(void);
	void displaySetVolumeVal(uint8_t newVolume);
	void displaySetTime(uint8_t newHour, uint8_t newMin);
	void displaySetFrequency(uint16_t newFreq);
	void displaySetReceiveFlags(uint8_t newLevel, uint8_t newStereoFlag);
	void displaySetBattery(uint8_t isChaging, uint16_t voltage);
	void displaySetChannel(uint8_t newChannel);
	void displayMenuIsChange(void);
	void displaySetScreenEditValue(uint16_t val);
	void displaySetScanProgress(uint8_t scanned);
	void displaySetSleepTime(uint8_t sleepMin);
	void displaySetRdsStation(uint8_t rdsReady, char* station);
	#ifdef USE_CONTRAST_SHIFT
	void displaySetMaxContrast(void);
	#endif
	

#endif /* GRAPHICS_H_ */