/*
 * graphicsRes.h
 *
 * Created: 15.01.2020 14:46:09
 *  Author: GoldenAndy
 */ 


#ifndef GRAPHICSRES_H_
#define GRAPHICSRES_H_

	#include <avr/pgmspace.h>
	#include "../_common/LCD_GRAPHICS/GraphLib/GraphLib.h"
	
	
	//------------------------------------------- 
	#define BAT_MAIN_LEFT			0
	#define BAT_MAIN_TOP			0	
	#define BAT_MAIN_WIDTH			28
	#define BAT_MAIN_HEIGHT			15
//	#define BAT_MAIN_	
	//    - 100,75,50,25,0%   
	// 100%
	const spriteType imgBattery100 PROGMEM =
		{	// Sprite:
			{	// Info:
				0x1C,	// width 
				0x0F,	// height 
				bpp1bit, 	// bits per pixel : 1
				{ 0x8400, 0xFFE0 }	 // colorMap[] - RGB565
			},
			{	// Data:
				0xEC,	0xB1,	0x80,	0x06,	0xB1,	0xF2,	0xF7,	0xD0,	0xEF,	0x7D,	0x2F,	0x63,	0xEF,	0xA1,	0xDE,	0xF7,
				0xBE,	0xC7,	0xDF,	0x42,	0xAD,	0xEF,	0xA1,	0xDE,	0xFB,	0xDE,	0xC7,	0xDF,	0x43,	0xBD,	0xEF,	0x7D,
				0x8F,	0xBE,	0x85,	0x5B,	0xDF,	0x43,	0xA9,	0xF4,	0xD6,	0x0A,	0x58,	0xF8,	0x00
			}
		};
	// 75%
	const spriteType imgBattery75 PROGMEM =
		{	// Sprite:
			{	// Info:
				0x1C,	// width 
				0x0F,	// height 
				bpp1bit, 	// bits per pixel : 1
				{ 0x8400, 0xFFE0 }	 // colorMap[] - RGB565
			},
			{	// Data:
				0xEC,	0xB1,	0x80,	0x06,	0xB1,	0xF2,	0xF7,	0xD0,	0xF1,	0x4F,	0x97,	0xBE,	0x87,	0x8A,	0x85,	0x5B,
				0xDF,	0x43,	0xC5,	0x42,	0xAD,	0xEF,	0xA1,	0xE2,	0xA1,	0x56,	0xF7,	0xD0,	0xF1,	0x50,	0xAB,	0x7B,
				0xE8,	0x78,	0xA8,	0x55,	0xBD,	0xF4,	0x3C,	0x50,	0xE6,	0xB0,	0x52,	0xC7,	0xC0
			}
		};
	// 50%
	const spriteType imgBattery50 PROGMEM =
		{	// Sprite:
			{	// Info:
				0x1C,	// width 
				0x0F,	// height 
				bpp1bit, 	// bits per pixel : 1
				{ 0x8400, 0xFFE0 }	 // colorMap[] - RGB565
			},
			{	// Data:
				0xEC,	0xB1,	0x80,	0x06,	0xB1,	0xD2,	0xF7,	0xE5,	0x9D,	0x2F,	0x7E,	0x5A,	0x15,	0x4F,	0x7E,	0x5A,
				0x15,	0x4F,	0x7E,	0x5A,	0x15,	0x4F,	0x7E,	0x5A,	0x15,	0x4F,	0x7E,	0x5A,	0x15,	0x4F,	0x7E,	0x58,
				0x73,	0x58,	0x29,	0x63,	0xE0
			}
		};
	// 25%
	const spriteType imgBattery25 PROGMEM =
		{	// Sprite:
			{	// Info:
				0x1C,	// width 
				0x0F,	// height 
				bpp1bit, 	// bits per pixel : 1
				{ 0x8400, 0xFFE0 }	 // colorMap[] - RGB565
			},
			{	// Data:
				0xEC,	0xB1,	0x80,	0x06,	0xB1,	0x12,	0xFA,	0x24,	0x4B,	0xE8,	0xA1,	0x48,	0xFA,	0x28,	0x52,	0x3E,
				0x8A,	0x14,	0x8F,	0xA2,	0x85,	0x23,	0xE8,	0xA1,	0x48,	0xFA,	0x21,	0xCD,	0x60,	0xA5,	0x8F,	0x80
			}
		};
	// 0%
	const spriteType imgBattery0 PROGMEM =
		{	// Sprite:
			{	// Info:
				0x1C,	// width 
				0x0F,	// height 
				bpp1bit, 	// bits per pixel : 1
				{ 0x8400, 0xFFE0 }	 // colorMap[] - RGB565
			},
			{	// Data:
				0xA2,	0x81,	0xAE,	0x81,	0x8C,	0x9B,	0x80,	0x81,	0x80,	0x87,	0x80,	0x06,	0x6A,	0x06,	0x28,	0x73,
				0x31,	0x03,	0x18,	0x39,	0x96,	0x81,	0x8E,	0x85,	0x94,	0x81,	0x90,	0x85,	0x92,	0x81,	0x92,	0x85,
				0x90,	0x81,	0x94,	0x85,	0x8E,	0x81,	0x96,	0x85,	0x8C,	0x81,	0x98,	0x64,	0x80,	0xE6,	0x9B,	0x3E,
				0x64,	0xDC,	0x64,	0x0D,	0x74,	0x0D,	0x30
			}
		};
	// charging
	const spriteType imgBatteryCharge PROGMEM =
		{	// Sprite:
			{	// Info:
				0x1C,	// width 
				0x0F,	// height 
				bpp1bit, 	// bits per pixel : 1
				{ 0x8400, 0xFFE0 }	 // colorMap[] - RGB565
			},
			{	// Data:
				0xEC,	0xB1,	0x80,	0x06,	0xB0,	0x73,	0x29,	0x03,	0x20,	0x39,	0x90,	0x85,	0x86,	0x83,	0x80,	0x85,
				0x8C,	0x87,	0x82,	0x85,	0x84,	0x85,	0x88,	0x95,	0x88,	0x85,	0x84,	0x87,	0x80,	0x87,	0x8C,	0x85,
				0x80,	0x83,	0x86,	0x85,	0x90,	0x85,	0x90,	0x81,	0x94,	0x1C,	0xD6,	0x0A,	0x58,	0xF8,	0x00
			}
		};
	// battery arr
	const unsigned int imgBatteryArr[6] PROGMEM = {
		(unsigned int)&imgBattery0,
		(unsigned int)&imgBattery25,
		(unsigned int)&imgBattery50,
		(unsigned int)&imgBattery75,
		(unsigned int)&imgBattery100,
		(unsigned int)&imgBatteryCharge
	};

	//------------------------------------------- Stereo symbol
	#define STEREO_SYMB_LEFT		33
	#define STEREO_SYMB_TOP			1
	#define STEREO_SYMB_WIDTH		20
	#define STEREO_SYMB_HEIGHT		13
	#define STEREO_SYMB_
	#define STEREO_SYMB_
	//  
	const spriteType imgStereo PROGMEM =
		{	// Sprite:
			{	// Info:
				0x14,	// width
				0x0D,	// height
				bpp1bit, 	// bits per pixel : 1
				{ 0x8400, 0xFFE0 }	 // colorMap[] - RGB565
			},
			{	// Data:
				0x84,	0x87,	0x80,	0x87,	0x88,	0x8F,	0x63,	0xF1,	0xE1,	0xA0,	0xE1,	0x20,	0xE0,	0x20,	0x62,	0xA0,
				0x61,	0xA0,	0x44,	0xE3,	0xA0,	0x61,	0xA1,	0x63,	0xA0,	0x61,	0xA1,	0x63,	0xA0,	0x61,	0xA1,	0x63,
				0xA0,	0x61,	0xA1,	0x63,	0xA0,	0x61,	0xA0,	0x56,	0xC0,	0x70,	0xD0,	0x30,	0x10,	0x70,	0xD0,	0x70,
				0x90,	0x70,	0x51,	0xEC,	0x7E,	0x04,	0x3C,	0x04,	0x3C,	0x20
			}
		};
		
	//-------------------------------------------       
	#define MAIN_TIME_HOUR_LEFT		59
	#define MAIN_TIME_MINUTE_LEFT	78
	#define MAIN_TIME_DOTS_LEFT		75
	#define MAIN_TIME_TOP			1
	#define MAIN_TIME_WIDTH			34
	#define MAIN_TIME_HEIGHT		15
	#define MAIN_TIME_ZZZ_WHDTH		18
	#define MAIN_TIME_ZZZ_LEFT		(MAIN_TIME_HOUR_LEFT)
	#define MAIN_TIME_ZZZ_VAL_LEFT	(MAIN_TIME_MINUTE_LEFT)
	#define MAIN_TIME_
	// 
	const spriteType imgTimeDoubleDot PROGMEM =
		{	// Sprite:
			{	// Info:
				0x02,	// width
				0x0F,	// height
				bpp1bit, 	// bits per pixel : 1
				{ 0x8400, 0x0400 }	 // colorMap[] - RGB565
			},
			{	// Data:
				0x88,	0x85,	0x8C,	0x85,	0x8C
			}
		};
	// Zzz symbol
	const spriteType imgZzz PROGMEM =
	{	// Sprite:
		{	// Info:
			0x12,	// width
			0x0F,	// height
			bpp1bit, 	// bits per pixel : 1
			{ 0x8400, 0xFFE0 }	 // colorMap[] - RGB565
		},
		{	// Data:
			0xB8,	0x83,	0x9E,	0x06,	0x42,	0x16,	0x00,	0x19,	0x86,	0xD0,	0x7F,	0x04,	0x59,	0xE3,	0x07,	0x32,
			0xC3,	0x99,	0x63,	0xC7,	0xC7,	0x03,	0x38,	0x0C,	0xE0,	0x33,	0xD1,	0x3B,	0x80
		}
	};
	
	//-------------------------------------------  
	#define FM_LEVEL_LEFT		99
	#define FM_LEVEL_TOP		0
	#define FM_LEVEL_WIDTH		29
	#define FM_LEVEL_HEIGHT		15
	//   0 
	const spriteType imgFmLevel0 PROGMEM =
	{	// Sprite:
		{	// Info:
			0x1D,	// width
			0x0F,	// height
			bpp1bit, 	// bits per pixel : 1
			{ 0x8400, 0xFFE0 }	 // colorMap[] - RGB565
		},
		{	// Data:
			0x81,	0x82,	0x81,	0x82,	0x81,	0x9E,	0x83,	0x80,	0x81,	0x80,	0x83,	0xA0,	0x83,	0x33,	0x7A,	0x48,
			0xDA,	0x88,	0x9A,	0xC8,	0x5B,	0x08,	0x1B,	0x28,	0x1B,	0x28,	0x1B,	0x28,	0x1B,	0x28,	0x1B,	0x28,
			0x1B,	0x28,	0x1B,	0x28,	0x1B,	0x28,	0x18,	0x08,	0x17,	0xB6,	0xDB,	0x40,	0x80
		}
	};
	//   1 
	const spriteType imgFmLevel1 PROGMEM =
	{	// Sprite:
		{	// Info:
			0x1D,	// width
			0x0F,	// height
			bpp1bit, 	// bits per pixel : 1
			{ 0x8400, 0xFFE0 }	 // colorMap[] - RGB565
		},
		{	// Data:
			0x81,	0x82,	0x81,	0x82,	0x81,	0x9E,	0x83,	0x80,	0x81,	0x80,	0x83,	0xA0,	0x83,	0x33,	0x7A,	0x48,
			0xDA,	0x88,	0x9A,	0xC8,	0x5B,	0x08,	0x1B,	0x28,	0x1B,	0x28,	0x1B,	0x28,	0x1B,	0x28,	0x1B,	0x28,
			0x1B,	0x28,	0x18,	0x08,	0x1A,	0xA8,	0x18,	0x08,	0x1A,	0xA8,	0x18,	0x08,	0x17,	0xB6,	0xDB,	0x40,
			0x80
		}
	};
	//   2 
	const spriteType imgFmLevel2 PROGMEM =
	{	// Sprite:
		{	// Info:
			0x1D,	// width
			0x0F,	// height
			bpp1bit, 	// bits per pixel : 1
			{ 0x8400, 0xFFE0 }	 // colorMap[] - RGB565
		},
		{	// Data:
			0x81,	0x82,	0x81,	0x82,	0x81,	0x9E,	0x83,	0x80,	0x81,	0x80,	0x83,	0xA0,	0x83,	0x33,	0x7A,	0x48,
			0xDA,	0x88,	0x9A,	0xC8,	0x5B,	0x08,	0x1B,	0x28,	0x1B,	0x28,	0x1B,	0x28,	0x1B,	0x28,	0x18,	0x68,
			0x1A,	0x48,	0x18,	0x68,	0x1A,	0x48,	0x18,	0x08,	0x11,	0x3A,	0x48,	0x18,	0x08,	0x11,	0x3A,	0x48,
			0x18,	0x08,	0x17,	0xB6,	0xDB,	0x40,	0x80
		}
	};
	//   3 
	const spriteType imgFmLevel3 PROGMEM =
	{	// Sprite:
		{	// Info:
			0x1D,	// width
			0x0F,	// height
			bpp1bit, 	// bits per pixel : 1
			{ 0x8400, 0xFFE0 }	 // colorMap[] - RGB565
		},
		{	// Data:
			0x81,	0x82,	0x81,	0x82,	0x81,	0x9E,	0x83,	0x80,	0x81,	0x80,	0x83,	0xA0,	0x83,	0x33,	0x7A,	0x48,
			0xDA,	0x88,	0x9A,	0xC8,	0x5B,	0x08,	0x1B,	0x28,	0x1B,	0x28,	0x18,	0xC8,	0x19,	0xE8,	0x18,	0xC8,
			0x19,	0xE8,	0x18,	0x68,	0x11,	0x39,	0xE8,	0x18,	0x68,	0x11,	0x39,	0xE8,	0x18,	0x08,	0x12,	0xB7,
			0x3D,	0x03,	0x01,	0x02,	0x56,	0xE7,	0xA0,	0x60,	0x20,	0x5E,	0xDB,	0x6D,	0x02
		}
	};
	//   4 
	const spriteType imgFmLevel4 PROGMEM =
	{	// Sprite:
		{	// Info:
			0x1D,	// width
			0x0F,	// height
			bpp1bit, 	// bits per pixel : 1
			{ 0x8400, 0xFFE0 }	 // colorMap[] - RGB565
		},
		{	// Data:
			0x81,	0x82,	0x81,	0x82,	0x81,	0x9E,	0x83,	0x80,	0x81,	0x80,	0x83,	0xA0,	0x83,	0x33,	0x7A,	0x48,
			0xDA,	0x88,	0x9A,	0xC8,	0x5B,	0x08,	0x19,	0x28,	0x19,	0x88,	0x19,	0x28,	0x19,	0x88,	0x18,	0xC8,
			0x11,	0x39,	0x88,	0x18,	0xC8,	0x11,	0x39,	0x88,	0x18,	0x68,	0x12,	0xB7,	0x31,	0x03,	0x0D,	0x02,
			0x56,	0xE6,	0x20,	0x60,	0x20,	0x50,	0xDB,	0x98,	0x81,	0x80,	0x81,	0x43,	0x6E,	0x62,	0x06,	0x02,
			0x05,	0xED,	0xB6,	0xD0,	0x20
		}
	};
	//   5 
	const spriteType imgFmLevel5 PROGMEM =
	{	// Sprite:
		{	// Info:
			0x1D,	// width
			0x0F,	// height
			bpp1bit, 	// bits per pixel : 1
			{ 0x8400, 0xFFE0 }	 // colorMap[] - RGB565
		},
		{	// Data:
			0x81,	0x82,	0x81,	0x82,	0x81,	0x9E,	0x83,	0x80,	0x81,	0x80,	0x83,	0xA0,	0x83,	0x33,	0x7A,	0x48,
			0xDA,	0x88,	0x99,	0x48,	0x19,	0x08,	0x59,	0x68,	0x19,	0x28,	0x19,	0x28,	0x11,	0x39,	0x28,	0x19,
			0x28,	0x11,	0x39,	0x28,	0x18,	0xC8,	0x12,	0xB7,	0x25,	0x03,	0x19,	0x02,	0x56,	0xE4,	0xA0,	0x61,
			0xA0,	0x50,	0xDB,	0x92,	0x81,	0x86,	0x81,	0x43,	0x6E,	0x4A,	0x06,	0x02,	0x05,	0x6D,	0xB7,	0x25,
			0x03,	0x01,	0x02,	0xB6,	0xDB,	0x92,	0x81,	0x80,	0x81,	0x7B,	0x6D,	0xB4,	0x08
		}
	};
	//   6 
	const spriteType imgFmLevel6 PROGMEM =
	{	// Sprite:
		{	// Info:
			0x1D,	// width
			0x0F,	// height
			bpp1bit, 	// bits per pixel : 1
			{ 0x8400, 0xFFE0 }	 // colorMap[] - RGB565
		},
		{	// Data:
			0x81,	0x82,	0x81,	0x82,	0x81,	0x9E,	0x83,	0x80,	0x81,	0x80,	0x83,	0xA0,	0x83,	0x33,	0x79,	0x68,
			0x18,	0x68,	0xD9,	0x88,	0x18,	0x88,	0x99,	0x48,	0x16,	0xB0,	0x1F,	0x2D,	0x02,	0x27,	0x19,	0x03,
			0x25,	0x02,	0x56,	0xE3,	0x20,	0x64,	0xA0,	0x4A,	0xDC,	0x64,	0x0C,	0x64,	0x0A,	0x1B,	0x71,	0x90,
			0x31,	0x90,	0x28,	0x6D,	0xC6,	0x40,	0xC3,	0x40,	0xAD,	0xB6,	0xE3,	0x20,	0x61,	0xA0,	0x56,	0xDB,
			0x71,	0x90,	0x30,	0x10,	0x2E,	0x6D,	0xB7,	0x19,	0x03,	0x01,	0x02,	0xE6,	0xDB,	0x71,	0x90,	0x30,
			0x10,	0x2F,	0x6D,	0xB6,	0x81
		}
	};
	//   7 
	const spriteType imgFmLevel7 PROGMEM =
	{	// Sprite:
		{	// Info:
			0x1D,	// width
			0x0F,	// height
			bpp1bit, 	// bits per pixel : 1
			{ 0x8400, 0xFFE0 }	 // colorMap[] - RGB565
		},
		{	// Data:
			0x81,	0x82,	0x81,	0x82,	0x81,	0x9A,	0x87,	0x80,	0x81,	0x80,	0x83,	0x9A,	0x81,	0x53,	0xB7,	0x96,
			0x81,	0x23,	0x23,	0x66,	0x20,	0x56,	0xC7,	0xF2,	0x90,	0x2D,	0x6C,	0x3E,	0x5A,	0x05,	0x8D,	0x83,
			0x92,	0x81,	0x7B,	0x6C,	0x1C,	0x94,	0x0B,	0xDB,	0x60,	0xE3,	0x20,	0x56,	0xDB,	0x70,	0xD0,	0x31,
			0x90,	0x2B,	0x6D,	0xB8,	0x68,	0x18,	0x68,	0x17,	0x36,	0xDB,	0x86,	0x81,	0x86,	0x81,	0x73,	0x6D,
			0xB8,	0x68,	0x18,	0x08,	0x17,	0xB6,	0xDB,	0x40,	0xC3,	0x40,	0xC0,	0x40,	0xBD,	0xB6,	0xDA,	0x06,
			0x1A,	0x06,	0x02,	0x05,	0xED,	0xB6,	0xD0,	0x20
		}
	};
	// battery arr
	const unsigned int imgFmLevels[8] PROGMEM = {
		(unsigned int)&imgFmLevel0,
		(unsigned int)&imgFmLevel1,
		(unsigned int)&imgFmLevel2,
		(unsigned int)&imgFmLevel3,
		(unsigned int)&imgFmLevel4,
		(unsigned int)&imgFmLevel5,
		(unsigned int)&imgFmLevel6,
		(unsigned int)&imgFmLevel7
		};

	//-------------------------------------------     
	#define FREQ_MAIN_TOP				17
	#define FREQ_MAIN_MHZ_LEFT			0
	#define FREQ_MAIN_KHZ_LEFT			69
	#define FREQ_MAIN_FREQ_DOT_LEFT		64
	#define FREQ_MAIN_FREQ_SPACING		2
	#define FREQ_MAIN_MHZ_SYMB_LEFT		113
	#define FREQ_MAIN_MHZ_SYMB_TOP		38
	#define FREQ_MAIN_CHAN_AREA_LEFT	113
	#define FREQ_MAIN_CHAN_AREA_TOP		21
	#define FREQ_MAIN_CHAN_AREA_WIDTH	15
	#define FREQ_MAIN_CHAN_AREA_HEIGHT	11
	#define FREQ_MAIN_CHAN_VAL_LEFT		(FREQ_MAIN_CHAN_AREA_LEFT+2)
	#define FREQ_MAIN_CHAN_VAL_TOP		(FREQ_MAIN_CHAN_AREA_TOP+2)
	// 
	const spriteType imgFreqDot PROGMEM =
	{	// Sprite:
		{	// Info:
			0x04,	// width
			0x20,	// height
			bpp1bit, 	// bits per pixel : 1
			{ 0x4410, 0x07FF }	 // colorMap[] - RGB565
		},
		{	// Data:
			0xFE,	0xD2,	0x9D,	0x84
		}
	};
	//  MHz
	const spriteType imgMHzSymbol PROGMEM =
	{	// Sprite:
		{	// Info:
			0x0F,	// width
			0x07,	// height
			bpp1bit, 	// bits per pixel : 1
			{ 0x4410, 0x07FF }	 // colorMap[] - RGB565
		},
		{	// Data:
			0x74,	0x52,	0x08,	0x17,	0xB4,	0xBE,	0xBD,	0x48,	0x69,	0xF7,	0x8A,	0xAF,	0x49,	0x22,	0x7C,	0xA2,
			0x2C,	0x01,	0x6F
		}
	};
	
	//------------------------------------------- RDS 
	#define RDS_STATION_AREA_LEFT			6
	#define RDS_STATION_AREA_TOP			49
	#define RDS_STATION_AREA_WIDTH			64	
	#define RDS_STATION_AREA_HEIGHT			15
	
	//-------------------------------------------    
	#define MAIN_SCR_VOLUME_SYM_LEFT		82
	#define MAIN_SCR_VOLUME_SYM_TOP			52
	#define MAIN_SCR_VOLUME_BAR_LEFT		91
	#define MAIN_SCR_VOLUME_BAR_TOP			54
	#define MAIN_SCR_VOLUME_BAR_WIDTH		37
	#define MAIN_SCR_VOLUME_BAR_HEIGHT		7
	#define MAIN_SCR_VOLUME_GAUGE_LEFT		93
	#define MAIN_SCR_VOLUME_GAUGE_TOP		56
	#define MAIN_SCR_VOLUME_GAUGE_HEIGHT	3
	#define MAIN_SCR_VOLUME_GAUGE_STEP		2
	#define MAIN_SCR_VOLUME_
	//   
	const spriteType imgVolumeSmall PROGMEM =
	{	// Sprite:
		{	// Info:
			0x07,	// width
			0x0B,	// height
			bpp1bit, 	// bits per pixel : 1
			{ 0x4410, 0x07FF }	 // colorMap[] - RGB565
		},
		{	// Data:
			0x86,	0x81,	0x84,	0x7D,	0x13,	0xC4,	0x0B,	0xD1,	0xA3,	0x60,	0xA1,	0x60,	0x9D,	0x12,	0x16,	0x1A,
			0x04
		}
	};
	
	//-------------------------------------------  , 
	#define NO_PHONES_LEFT		34
	#define NO_PHONES_TOP		20
	const spriteType imgNoPhones1 PROGMEM =
	{	// Sprite:
		{	// Info:
			0x3C,	// width
			0x27,	// height
			bpp1bit, 	// bits per pixel : 1
			{ 0x4410, 0x07FF }	 // colorMap[] - RGB565
		},
		{	// Data:
			0xAE,	0x91,	0xDC,	0x99,	0xD4,	0x85,	0x90,	0x85,	0xCC,	0x85,	0x98,	0x85,	0xC6,	0x83,	0xA0,	0x83,
			0xC2,	0x83,	0xA4,	0x83,	0xBE,	0x83,	0xA8,	0x83,	0xBA,	0x83,	0xAC,	0x83,	0xB6,	0x83,	0xB0,	0x83,
			0xB4,	0x81,	0xB4,	0x81,	0xB2,	0x81,	0xB8,	0x81,	0xB0,	0x81,	0xB8,	0x81,	0xAE,	0x81,	0xBC,	0x81,
			0xAC,	0x81,	0xBC,	0x81,	0xAA,	0x81,	0xC0,	0x81,	0xA8,	0x81,	0xC0,	0x81,	0xA6,	0x83,	0xC0,	0x83,
			0xA4,	0x81,	0xC4,	0x81,	0xA4,	0x81,	0xC4,	0x81,	0xA4,	0x81,	0xC4,	0x81,	0xA4,	0x81,	0xC4,	0x81,
			0xA4,	0x81,	0xC4,	0x81,	0xA4,	0x81,	0xC4,	0x81,	0xA4,	0x81,	0x2B,	0xF5,	0x90,	0xE2,	0x74,	0x81,
			0xA3,	0x69,	0x23,	0x42,	0xD3,	0x41,	0x95,	0xBA,	0x48,	0x13,	0x37,	0xA8,	0x81,	0x80,	0x81,	0x13,
			0xA4,	0x81,	0x33,	0x3A,	0x48,	0x38,	0x28,	0x11,	0x3A,	0x48,	0x14,	0x31,	0xE8,	0x20,	0xE0,	0xA0,
			0x44,	0xE9,	0x20,	0x50,	0xC7,	0xA0,	0x81,	0x84,	0x81,	0x13,	0xA4,	0x81,	0x43,	0x0E,	0x82,	0x06,
			0x12,	0x04,	0x4E,	0x92,	0x05,	0x0C,	0x3A,	0x08,	0x18,	0x48,	0x11,	0x3A,	0x48,	0x14,	0x30,	0xE8,
			0x20,	0x61,	0x20,	0x44,	0xE9,	0x20,	0x50,	0xC3,	0xA0,	0x83,	0x82,	0x81,	0x13,	0xA4,	0x81,	0x43,
			0x1E,	0x8A,	0x06,	0x0A,	0x04,	0x4E,	0x92,	0x04,	0xEC,	0x74,	0xD0,	0x30,	0x10,	0x22,	0x74,	0x90,
			0x26,	0x67,	0x51,	0x06,	0x56,	0xE9,	0x20,	0x4C,	0xDE,	0xAA,	0x36,	0x92,	0x36,	0xBA,	0x1E,	0xB2,
			0x1E,	0x58
		}
	};
	const spriteType imgNoPhones2 PROGMEM =
	{	// Sprite:
		{	// Info:
			0x3C,	// width
			0x27,	// height
			bpp1bit, 	// bits per pixel : 1
			{ 0x4410, 0x07FF }	 // colorMap[] - RGB565
		},
		{	// Data:
			0xAE,	0x91,	0xB0,	0x81,	0xA4,	0x99,	0xA4,	0x81,	0x2B,	0xF3,	0x90,	0xB2,	0x10,	0xB3,	0x92,	0xB2,
			0x90,	0xB3,	0x10,	0xB2,	0x93,	0xB1,	0xD0,	0x74,	0x10,	0x71,	0xD1,	0xE0,	0x48,	0xC4,	0x41,	0xD2,
			0x41,	0xC4,	0x48,	0xC2,	0x48,	0xC1,	0x41,	0xD4,	0x41,	0xC1,	0x48,	0xC6,	0x48,	0xDC,	0x48,	0xCA,
			0x48,	0xD8,	0x48,	0xCE,	0x48,	0xD4,	0x48,	0xD2,	0x48,	0xD0,	0x48,	0xD6,	0x48,	0xCC,	0x48,	0xDA,
			0x48,	0xC8,	0x48,	0xD9,	0x40,	0xC1,	0x48,	0xC4,	0x48,	0xC1,	0x40,	0xD5,	0x40,	0xC4,	0x48,	0xC0,
			0x48,	0xC4,	0x40,	0xD4,	0x40,	0xC6,	0x50,	0xC6,	0x40,	0xD3,	0x41,	0xC8,	0x4C,	0xC8,	0x41,	0xD2,
			0x40,	0xCB,	0x48,	0xCB,	0x40,	0xD2,	0x40,	0xC9,	0x4C,	0xC9,	0x40,	0xD2,	0x40,	0xC7,	0x50,	0xC7,
			0x40,	0xD2,	0x40,	0xC5,	0x48,	0xC0,	0x48,	0xC5,	0x40,	0xD2,	0x40,	0xC3,	0x48,	0xC4,	0x48,	0xC3,
			0x40,	0xD2,	0x40,	0xC1,	0x48,	0xC8,	0x48,	0xC1,	0x40,	0xD5,	0x48,	0xCC,	0x48,	0xD6,	0x48,	0xD0,
			0x48,	0xD2,	0x48,	0xD4,	0x48,	0xCE,	0x48,	0xD8,	0x48,	0xCA,	0x48,	0xC1,	0x40,	0xD2,	0x40,	0xC1,
			0x48,	0xC6,	0x48,	0xC1,	0x0E,	0xE9,	0x20,	0x48,	0x89,	0x18,	0x49,	0x18,	0x48,	0x11,	0x3A,	0x48,
			0x13,	0x30,	0x91,	0x02,	0x3E,	0x22,	0x04,	0x4E,	0x92,	0x05,	0x0C,	0x09,	0xD8,	0x24,	0xC3,	0x74,
			0x90,	0x2A,	0x61,	0x12,	0xB0,	0x90,	0x30,	0x90,	0x22,	0x74,	0x90,	0x2C,	0x61,	0x84,	0x3B,	0x98,
			0x1C,	0x40,	0x89,	0xD2,	0x40,	0xB9,	0x8E,	0x04,	0x0C,	0x94,	0x0C,	0x14,	0x08,	0x9D,	0x24,	0x09,
			0xD8,	0xE9,	0xA0,	0x60,	0x20,	0x44,	0xE9,	0x20,	0x4C,	0xCE,	0xA2,	0x0C,	0xAD,	0xD2,	0x40,	0x99,
			0xBD,	0x54,	0x6D,	0x24,	0x6D,	0x74,	0x3D,	0x64,	0x3C,	0xB0
		}
	};	
	const unsigned int imgNoPhones[2] PROGMEM = {
		(unsigned int)&imgNoPhones1,
		(unsigned int)&imgNoPhones2
	};
	
	//-------------------------------------------  
	#define LOW_BATTERY_LEFT	35
	#define LOW_BATTERY_TOP		20
	const spriteType imgLoBattery1 PROGMEM =
	{	// Sprite:
		{	// Info:
			0x3A,	// width
			0x28,	// height
			bpp1bit, 	// bits per pixel : 1
			{ 0x4410, 0x07FF }	 // colorMap[] - RGB565
		},
		{	// Data:
			0xFE,	0xFE,	0xFE,	0xFE,	0xFE,	0xFE,	0xFE,	0xFE,	0xFE,	0xE6,	0xE9,	0x84,	0xE9,	0x84,	0x81,	0xE0,
			0x81,	0x84,	0x81,	0xE0,	0x81,	0x84,	0x81,	0xE0,	0x8D,	0xE0,	0x81,	0x2B,	0xFC,	0x10,	0x25,	0x7F,
			0x82,	0x04,	0xAF,	0xF0,	0x40,	0x95,	0xFE,	0x08,	0x12,	0xBF,	0xC1,	0x02,	0x57,	0xF8,	0x20,	0x4A,
			0xFF,	0x04,	0x09,	0x5F,	0xE0,	0x8D,	0xE0,	0x81,	0x84,	0x81,	0xE0,	0x81,	0x84,	0xE9,	0x84,	0xE9,
			0xFE,	0xFE,	0xFE,	0xFE,	0xFE,	0xFE,	0xFE,	0xFE,	0xFE,	0xEE
		}
	};	
	const spriteType imgLoBattery2 PROGMEM =
	{	// Sprite:
		{	// Info:
			0x3A,	// width
			0x28,	// height
			bpp1bit, 	// bits per pixel : 1
			{ 0x4410, 0x07FF }	 // colorMap[] - RGB565
		},
		{	// Data:
			0x90,	0x83,	0xBC,	0x83,	0xA2,	0x87,	0xB8,	0x87,	0xA0,	0x89,	0xB4,	0x89,	0xA0,	0x8B,	0xB0,	0x8B,
			0xA2,	0x8B,	0xAC,	0x8B,	0xA6,	0x8B,	0xA8,	0x8B,	0xAA,	0x8B,	0xA4,	0x8B,	0xAE,	0x8B,	0xA0,	0x8B,
			0xB2,	0x8B,	0x9C,	0x8B,	0xB6,	0x8B,	0x98,	0x8B,	0xBA,	0x8B,	0x94,	0x8B,	0x9C,	0x9B,	0x80,	0x8B,
			0x80,	0x89,	0x80,	0x8B,	0x80,	0x93,	0x84,	0x9D,	0x80,	0x8B,	0x80,	0x85,	0x80,	0x8B,	0x80,	0x95,
			0x84,	0x81,	0x9E,	0x8B,	0x88,	0x8B,	0x96,	0x81,	0x84,	0x81,	0xA0,	0x8B,	0x84,	0x8B,	0x98,	0x81,
			0x84,	0x81,	0xA2,	0x8B,	0x80,	0x8B,	0x9A,	0x8D,	0xA4,	0x99,	0x9C,	0x81,	0x2B,	0xF4,	0xD2,	0xB3,
			0xD0,	0x25,	0x7E,	0xA2,	0x46,	0x82,	0x04,	0xAF,	0xD5,	0x46,	0xD1,	0x40,	0x95,	0xFA,	0xA8,	0xDA,
			0x28,	0x12,	0xBF,	0x51,	0x23,	0x41,	0x02,	0x57,	0xE9,	0xA5,	0x67,	0xA0,	0x4A,	0xFD,	0x24,	0xCC,
			0xE4,	0x09,	0x5F,	0xA2,	0x8B,	0x80,	0x8B,	0x9A,	0x8D,	0xA0,	0x8B,	0x84,	0x8B,	0x98,	0x81,	0x84,
			0x81,	0x9E,	0x8B,	0x88,	0x8B,	0x96,	0x81,	0x84,	0x9D,	0x80,	0x8B,	0x80,	0x85,	0x80,	0x8B,	0x80,
			0x95,	0x84,	0x9B,	0x80,	0x8B,	0x80,	0x89,	0x80,	0x8B,	0x80,	0x93,	0xA4,	0x8B,	0x94,	0x8B,	0xBA,
			0x8B,	0x98,	0x8B,	0xB6,	0x8B,	0x9C,	0x8B,	0xB2,	0x8B,	0xA0,	0x8B,	0xAE,	0x8B,	0xA4,	0x8B,	0xAA,
			0x8B,	0xA8,	0x8B,	0xA6,	0x8B,	0xAC,	0x8B,	0xA2,	0x8B,	0xB0,	0x8B,	0xA0,	0x89,	0xB4,	0x89,	0xA0,
			0x87,	0xB8,	0x87,	0xA2,	0x83,	0xBC,	0x83,	0x90
		}
	};
	const unsigned int imgLoBattery[2] PROGMEM = {
		(unsigned int)&imgLoBattery1,
		(unsigned int)&imgLoBattery2
	};
	
	//------------------------------------------- Splash screen
	typedef struct {
		uint8_t cX, cY;
		} splashScreenDrawType; 
	#define SSX_START_LINE	0x80
	#define SSY_END_DRAW	0x80
	
	const splashScreenDrawType splashScreen1[] PROGMEM = {
		{	0 + SSX_START_LINE, 0	}, //   
		{	10	,	0	},
		{	10	,	12	},
		{	0	,	12	},
		{	0	,	0	},
		{	7 + SSX_START_LINE	,	3	}, //  ""  
		{	3	,	3	},
		{	3	,	9	},
		{	7	,	9	},
		{	21 + SSX_START_LINE	,	0	}, // G
		{	15	,	0	},
		{	15	,	12	},
		{	21	,	12	},
		{	21	,	6	},
		{	19	,	6	},
		{	24	,	6	}, // o
		{	29	,	6	}, 
		{	29	,	12	},
		{	24 + SSX_START_LINE	,	6	},
		{	24	,	12	},
		{	29	,	12	},
		{	32	,	12	}, // l
		{	32	,	2	}, 
		{	32	,	12	},
		{	35	,	12	},
		{	40	,	12	}, // d
		{	40	,	2	},
		{	35 + SSX_START_LINE	,	12	},
		{	35	,	6	},
		{	40	,	6	},
		{	43	,	6	}, // e
		{	48	,	6	}, 
		{	48	,	9	},
		{	43	,	9	},
		{	43	,	6	},
		{	43	,	12	},
		{	51	,	12	},
		{	51	,	6	}, // n
		{	56	,	6	},
		{	56	,	12	},
		{	59	,	12	}, // A
		{	59	,	0	}, 
		{	65	,	0	},
		{	65	,	6	},
		{	59	,	6	},
		{	65	,	6	},
		{	65	,	12	},
		{	68	,	12	},
		{	68	,	6	}, // n
		{	73	,	6	},
		{	73	,	12	},
		{	76	,	12	},
		{	81	,	12	}, // d
		{	81	,	2	},
		{	76 + SSX_START_LINE	,	12	},
		{	76	,	6	},
		{	81	,	6	},
		{	84	,	6	},
		{	84	,	12	}, // y
		{	89	,	12	},
		{	89	,	6	},
		{	89	,	15	},
		{	0	,	15	},
		{	94 + SSX_START_LINE	,	0	}, // 2
		{	100	,	0	},
		{	100	,	6	},
		{	94	,	6	},
		{	94	,	12	},
		{	103	,	12	}, // 0
		{	109	,	12	},
		{	109	,	0	},
		{	103 + SSX_START_LINE	,	12	},
		{	103	,	0	},
		{	112	,	0	},
		{	118	,	0	}, // 2 
		{	118	,	6	},
		{	112	,	6	},
		{	112	,	12	},
		{	121	,	12	},
		{	127	,	12	}, // 0
		{	127	,	0	},
		{	121	,	0	},
		{	121	,	12	},
		{	94 + SSX_START_LINE	,	15	}, // underline 2020
		{	127	,	15 + SSY_END_DRAW	}
		};
	const splashScreenDrawType splashScreen2[] PROGMEM = {
		{	0 + SSX_START_LINE	,	63	}, // F
		{	0	,	28	},
		{	23	,	28	},
		{	20	,	34	},
		{	6	,	34	},
		{	6	,	42	},
		{	16	,	42	},
		{	13	,	48	},
		{	6	,	48	},
		{	6	,	63	},
		{	0	,	63	},
		{	13 + SSX_START_LINE	,	63	}, // M
		{	30	,	28	},
		{	35	,	28	},
		{	35	,	48	},
		{	45	,	28	},
		{	50	,	28	},
		{	50	,	63	},
		{	44	,	63	},
		{	44	,	44	},
		{	35	,	63	},
		{	29	,	63	},
		{	29	,	44	},
		{	20	,	63	},
		{	13	,	63	},
		{	67 + SSX_START_LINE	,	28	}, // S
		{	58	,	28	},
		{	58	,	37	},
		{	64	,	37	},
		{	64	,	40	},
		{	58	,	40	},
		{	58	,	43	},
		{	67	,	43	},
		{	67	,	34	},
		{	61	,	34	},
		{	61	,	31	},
		{	67	,	31	},
		{	67	,	28	},
		{	70 + SSX_START_LINE	,	28	}, // T
		{	79	,	28	},
		{	79	,	31	},
		{	76	,	31	},
		{	76	,	43	},
		{	73	,	43	},
		{	73	,	31	},
		{	70	,	31	},
		{	70	,	28	},
		{	91 + SSX_START_LINE	,	28	}, // E
		{	82	,	28	},
		{	82	,	43	},
		{	91	,	43	},
		{	91	,	40	},
		{	85	,	40	},
		{	85	,	37	},
		{	88	,	37	},
		{	88	,	34	},
		{	85	,	34	},
		{	85	,	31	},
		{	91	,	31	},
		{	91	,	28	},
		{	94 + SSX_START_LINE	,	43	}, // R
		{	94	,	28	},
		{	103	,	28	},
		{	103	,	37	},
		{	99	,	37	},
		{	103	,	41	},
		{	103	,	43	},
		{	101	,	43	},
		{	97	,	39	},
		{	97	,	43	},
		{	94	,	43	},
		{	97 + SSX_START_LINE	,	31	},
		{	100	,	31	},
		{	100	,	34	},
		{	97	,	34	},
		{	97	,	31	},
		{	115 + SSX_START_LINE	,	28	}, // E
		{	106	,	28	},
		{	106	,	43	},
		{	115	,	43	},
		{	115	,	40	},
		{	109	,	40	},
		{	109	,	37	},
		{	112	,	37	},
		{	112	,	34	},
		{	109	,	34	},
		{	109	,	31	},
		{	115	,	31	},
		{	115	,	28	},
		{	118 + SSX_START_LINE	,	28	}, // O
		{	127	,	28	},
		{	127	,	43	},
		{	118	,	43	},
		{	118	,	28	},
		{	121 + SSX_START_LINE	,	31	},
		{	124	,	31	},
		{	124	,	40	},
		{	121	,	40	},
		{	121	,	31	},
		{	58 + SSX_START_LINE	,	63	}, // R
		{	58	,	48	},
		{	67	,	48	},
		{	67	,	57	},
		{	63	,	57	},
		{	67	,	61	},
		{	67	,	63	},
		{	65	,	63	},
		{	61	,	59	},
		{	61	,	63	},
		{	58	,	63	},
		{	61 + SSX_START_LINE	,	51	},
		{	64	,	51	},
		{	64	,	54	},
		{	61	,	54	},
		{	61	,	51	},
		{	70 + SSX_START_LINE	,	63	}, // A
		{	70	,	48	},
		{	79	,	48	},
		{	79	,	63	},
		{	76	,	63	},
		{	76	,	60	},
		{	73	,	60	},
		{	73	,	63	},
		{	70	,	63	},
		{	73 + SSX_START_LINE	,	57	},
		{	73	,	51	},
		{	76	,	51	},
		{	76	,	57	},
		{	73	,	57	},
		{	82 + SSX_START_LINE	,	48	},  // D
		{	88	,	48	},
		{	91	,	51	},
		{	91	,	60	},
		{	88	,	63	},
		{	82	,	63	},
		{	82	,	48	},
		{	85 + SSX_START_LINE	,	51	},
		{	87	,	51	},
		{	88	,	52	},
		{	88	,	59	},
		{	87	,	60	},
		{	85	,	60	},
		{	85	,	51	},
		{	94 + SSX_START_LINE	,	48	}, // I
		{	97	,	48	},
		{	97	,	63	},
		{	94	,	63	},
		{	94	,	48	},
		{	100 + SSX_START_LINE	,	48	}, // O
		{	109	,	48	},
		{	109	,	63	},
		{	100	,	63	},
		{	100 ,	48	},
		{	103 + SSX_START_LINE	,	51	},
		{	106	,	51	},
		{	106	,	60	},
		{	103	,	60	},
		{	103	,	51	},
		{	119 + SSX_START_LINE	,	59	}, // [ver] 1
		{	120	,	59	},
		{	120	,	58	},
		{	120	,	63	},
		{	122 + SSX_START_LINE	,	63	}, // [ver] .

		{	124 + SSX_START_LINE	,	59	}, // [ver] 1
		{	125	,	59	},
		{	125	,	58	},
		{	125	,	63 + SSY_END_DRAW	}
	//	{		,		},
	//	{		,		},
	//	{		,		},	 
	//	{		,		}		
		};
		
#endif /* GRAPHICSRES_H_ */