/*
 * menu.h
 *
 * Created: 10.01.2020 10:51:54
 *  Author: GoldenAndy
 */ 


#ifndef MENU_H_
#define MENU_H_

	#include "defines.h"
	#include <avr/pgmspace.h>
	#include <stdint.h>

	typedef struct {
		void				*Next;
		void				*Previous;
		void				*Parent;
		void				*Child;
		uint8_t				Command;
		const char			Text[];
	} menuItem;

  
	extern menuItem* selectedMenuItem; //   

	#define MAKE_MENU(Name, Next, Previous, Parent, Child, Command, Text) \
			extern const menuItem Next		PROGMEM;	\
			extern const menuItem Previous	PROGMEM;	\
			extern const menuItem Parent	PROGMEM;	\
			extern const menuItem Child		PROGMEM;	\
			const menuItem Name PROGMEM = {(void*)&Next, (void*)&Previous, (void*)&Parent, (void*)&Child, (uint8_t)Command, { Text }}
	
	#define MENU_PREVIOUS	((menuItem*)pgm_read_word(&selectedMenuItem->Previous))
	#define MENU_NEXT		((menuItem*)pgm_read_word(&selectedMenuItem->Next))
	#define MENU_PARENT		((menuItem*)pgm_read_word(&selectedMenuItem->Parent))
	#define MENU_CHILD		((menuItem*)pgm_read_word(&selectedMenuItem->Child))
	#define MENU_COMMAND	((uint8_t)  pgm_read_byte(&selectedMenuItem->Command))

	extern const menuItem Null_Item	PROGMEM;
	#define NULL_ENTRY Null_Item
	
	uint8_t menuChange(const menuItem* NewMenu);
	

#endif /* MENU_H_ */