/*
 * GraphLib.h
 *
 * Created: 04.10.2018 10:44:14
 *  Author: GoldenAndy
 */ 


#ifndef GRAPHLIB_H_
#define GRAPHLIB_H_

/*****************************************************************************
	  ,     .
	
	  :
	-  
	- ,   
	-    
	-    
	-  .
		 -  ,   RLE,    2- (1 /)  4- (2 /)
		  RLE -        
		      ,    .
		
	         - displayPutPixel( x, y ,color ).
	
	        .
	
	
	DISPLAY_USE_AREA.
	   DISPLAY_USE_AREA,    ,  
	      displayFillArea(x1,y1,x2,y2, color).
	
	 ,   DISPLAY_USE_AREA,    
	      NO_FONT_EFFECTS
	      
	displaySetArea(x1,y1,x2,y2) -     ,
	 displaySendColor(color) -       

	DISPLAY_SHORT_COORDINATES.
	  -     - unsigned int.
	   DISPLAY_SHORT_COORDINATES -      
	   unsigned char.     256256    
	  . 
	
	   .
	    .
	        .
	        -    displayFontType,
	      (    ).
	
	 NO_FONT_EFFECTS.   -    ,  
	 ,   90, 180,270,      .
	   DISPLAY_USE_AREA    " "  
	"  "     ,    
	 .	       .
	
	
	   ______  .
	  :
	USE_FONT_NOKIA_5X7			-  5*7,      
	USE_FONT_NOKIA_DIGITS_5X7	-  5*7,      ,    
	USE_FONT_SINCLAIR_7X7		- 7*7    ZX Spectrum Sinclair
	USE_FONT_TIMES_7X11			-  7*11     Times Roman
	USE_FONT_BIGDIGITS_15X23	-    
	USE_FONT_ARIAL_14X21		- Arial ( )
	USE_FONT_HALLVETICA_9X15	-   ( )
	USE_FONT_HALLV_T_DIGS_9X15	-   -    ,     .
														    . 
														* -  
														? -    : ".5"
														! -  t
														" -  T
														# -  H
														$ -  C
														& -  F
														' -  g
														/ -  m
								  ..      1/2 -  t,T,C,F   , 
								                         -  H  %, 
														 - mmHg
	USE_FONT_COND_HALLVET_7X15	-  
	USE_FONT_DIGITS_7X11		-      
	USE_FONT_CRYSTAL_9X15		-     
	USE_FONT_NIXIE_9X15			- ,   NIXIE
	USE_FONT_NIXIE_11X19		- ,   NIXIE
	USE_FONT_NIXIE_DIGITS_11X19 - ,   NIXIE,  
	USE_FONT_BIG_18X28			-  ,   Arial 
	USE_FONT_BIG_20X32_DIGITS	-  ,   ,   Arial
	USE_FONT_BIG_METEO_14X28	-  ,   Arial -       - . USE_FONT_HALLV_T_DIGS_9X15
	USE_FONT_BIG_CRYSTAL_18X28	-  ,    
	USE_FONT_BCRYST_METEO_14X28	-  ,     -       - . USE_FONT_HALLV_T_DIGS_9X15
	
	        .
	   ______  .
	      -    .

******************************************************************************/

//   ,       , 
//        .

#include "GraphLibInterface.h"

#define MAKE565_FROM_RGB(R,G,B) ( ( (unsigned int)(B) >> 3 ) | ( ((unsigned int)(G) & 0xFC) << 3 ) | ( ((unsigned int)(R) & 0xF8) << 8 ) )


#if defined(USE_FONT_NOKIA_5X7)				|| \
	defined(USE_FONT_NOKIA_DIGITS_5X7)		|| \
    defined(USE_FONT_SINCLAIR_7X7)			|| \
	defined(USE_FONT_TIMES_7X11)			|| \
	defined(USE_FONT_BIGDIGITS_15X23)		|| \
	defined(USE_FONT_ARIAL_14X21)			|| \
	defined(USE_FONT_HALLVETICA_9X15)		|| \
	defined(USE_FONT_COND_HALLVET_7X15)		|| \
	defined(USE_FONT_DIGITS_7X11)			|| \
	defined(USE_FONT_HALLV_T_DIGS_9X15)		|| \
	defined(USE_FONT_CRYSTAL_9X15)			|| \
	defined(USE_FONT_NIXIE_9X15)			|| \
	defined(USE_FONT_NIXIE_11X19)			|| \
	defined(USE_FONT_NIXIE_DIGITS_11X19)	|| \
	defined(USE_FONT_BIG_18X28)				|| \
	defined(USE_FONT_BIG_20X32_DIGITS)		|| \
	defined(USE_FONT_BIG_METEO_14X28)		|| \
	defined(USE_FONT_BIG_CRYSTAL_18X28)		|| \
	defined(USE_FONT_BCRYST_METEO_14X28)	
	#define DISPLAY_USE_FONTS
#endif

#ifdef DISPLAY_USE_FONTS
typedef enum {
#endif	

#	ifdef USE_FONT_NOKIA_5X7
	ft5x7_Nokia,
#	endif	
	
#	ifdef USE_FONT_NOKIA_DIGITS_5X7
	ft5x7_NokiaDigits,
#	endif

#	ifdef USE_FONT_SINCLAIR_7X7
	ft7x7_Sinclair,
#	endif

#	ifdef USE_FONT_TIMES_7X11
	ft7x11_Times,
#	endif

#	ifdef USE_FONT_BIGDIGITS_15X23
	ft15x23_Digits,
#	endif
	
#	ifdef USE_FONT_ARIAL_14X21
	ft14x21_Arial,
#	endif
	
#	ifdef USE_FONT_HALLVETICA_9X15
	ft9x15_Hallvetica,
#	endif
	
#	ifdef USE_FONT_COND_HALLVET_7X15
	ft7x15_CondHallvetica,
#	endif

#	ifdef USE_FONT_DIGITS_7X11
	ft7x11_Digits,
#	endif	

#	ifdef USE_FONT_HALLV_T_DIGS_9X15
	ft9x15_HallfDigitsT,
#	endif

#	ifdef USE_FONT_CRYSTAL_9X15
	ft9x15_Crystal,
#	endif

#	ifdef USE_FONT_NIXIE_9X15
	ft9x15_Nixie,
#	endif

#	ifdef USE_FONT_NIXIE_11X19
	ft11x19_Nixie,
#	endif

#	ifdef USE_FONT_NIXIE_DIGITS_11X19
	ft11x19_NixieDigits,
#	endif

#	ifdef USE_FONT_BIG_18X28
	ft18x28_Big,
#	endif

#	ifdef USE_FONT_BIG_20X32_DIGITS
	ft20x32_BigDigits,
#	endif

#	ifdef USE_FONT_BIG_METEO_14X28
	ft14x28_BigMeteo,
#	endif

#	ifdef USE_FONT_BIG_CRYSTAL_18X28
	ft18x28_BigCrystal,
#	endif

#	ifdef USE_FONT_BCRYST_METEO_14X28
	ft14x28_BigMeteoCrystal,
#	endif

#	ifdef DISPLAY_USE_FONTS
	dummyFontFt // ,    ,      , 
				//     ,     
	} displayFontType;
#endif	
	
#ifdef DISPLAY_USE_FONTS
	#ifndef NO_FONT_EFFECTS
		typedef enum {
			tomNormal,
			tomOverwrite
			} textOutModeType;	
		
		typedef enum {
			toNormal,
			to90,
			to180,
			to270
			} textOrientationType;
		
		typedef enum {
			tmNormal,
			tmHMirror,
			tmVMirror
			} textMirrorType;
			
		typedef enum {
			fcmUseDrawColor,
			fcmUseRowsColorMap
			} fontColorMapType;
	
	#endif //ifndef NO_FONT_EFFECTS
		
	typedef enum {
		tifNoFill,
		tifFillLeft,
		tifFillRight
		} textIntervalFillType;
#endif	// ifdef DISPLAY_USE_FONTS

typedef enum {
	fmNoFill,
	fmFill
	} fillModeType;

#ifdef DISPLAY_SHORT_COORDINATES
	typedef unsigned char coordType;
	typedef signed char sCoordType;
#else
	typedef unsigned int coordType;
	typedef signed int sCoordType;
#endif

void setDrawColor(unsigned int color);
void setBackgroundColor(unsigned int color);

unsigned int convertRgbTo565color(unsigned char r, unsigned char g, unsigned char b);

void line (coordType x1, coordType y1, coordType x2, coordType y2);
void lineTo (coordType x2, coordType y2);

void rectangle (coordType x1, coordType y1, coordType x2, coordType y2, fillModeType fill);

void circle (coordType x0, coordType y0, coordType R, fillModeType fill);

//   
#ifdef DISPLAY_USE_FONTS
	#ifndef NO_FONT_EFFECTS
		void setTextOutMode(textOutModeType textOutMode);
		void setTextOrientation(textOrientationType textOrientation);
		void setTextMirrorMode(textMirrorType textMirror);
		void setTextColorMap(fontColorMapType fontColorMapMode, unsigned int fontColorMap[]);
	#endif // ifndef NO_FONT_EFFECTS
	void setTextSymbolsInterval(unsigned char symbolsInterval);
	void setTextIntervalFillType(textIntervalFillType textIntervalFillMode);
	
	void putString  (coordType x, coordType y, char strArr[], displayFontType fontType);
	void putFString (coordType x, coordType y, const char* fStrArr, displayFontType fontType);
	
	void putSymbol (coordType x, coordType y, char symbol, displayFontType fontType );
#endif	// ifdef DISPLAY_USE_FONTS

// 
typedef enum {
	bpp1bit		= 1,
	bpp2bits	= 2
} bitsPerPixelType;

typedef struct {
	coordType			width;
	coordType			height;
	bitsPerPixelType	bitsPerPixel;
	unsigned int		colorMap[4];
} spriteInfoType;

typedef struct {
	spriteInfoType info;
	unsigned char sprite[];
	} spriteType;

void putFSprite(coordType x, coordType y, const spriteType* sprite); //     
void putFSpriteCustom(coordType x, coordType y, const spriteType* sprite, unsigned int customPalette[]); //     

/*****************************************************************************
	 RLE:          
	       .
	        .
	          .
	       ,       
	 .
	 :
	      -    
	1 - , 0 - 
	 -  .
	      6 
	  ,      2  , 6  (0..63)   
	   2  65 
	    1  2     (   
	  ).
	,   8    9    .
	
	  -     4 
	  ,         1 , 4  (0..15) 
	    1  16 .
	        .        
	(     ).
	,    6  21       7  37   .

*****************************************************************************/



#endif /* GRAPHLIB_H_ */