/*
 * oled_ssd1306.h
 *
 * Created: 27.12.2019 10:40:42
 *  Author: GoldenAndy
 */ 


#ifndef OLED_SSD1306_H_
#define OLED_SSD1306_H_

	#include <stdint.h>
	
	/************************************************************************************
		   "" 
		        .
		 :
			1.   -   8- ,   
			2.   - 1 
			3.        
			4.     
			         dataCount   buffer
		     :
			0 -   
			1 -   
	*************************************************************************************/
	extern uint8_t i2c_sendSSD1306data(uint8_t i2cAddr8bit, uint8_t prefix, uint8_t* buffer, uint8_t dataCount);
	
	
	/*********************** i2c- , 8   *****************************************/
	#define OLED_SSD1306_ADDR1			0x78
	#define OLED_SSD1306_ADDR2			0x7A	
	
	/***********************    *****************************************/	
	uint8_t	ssd1306init(uint8_t displayAddr);						//   .
																	//     1,  0
																	//      
																	
	uint8_t	ssd1306reInit(void);									//     
																	//     1,  0
																	
	uint8_t ssd1306setOrientation(uint8_t swapX, uint8_t swapY);	//   
																	//     1,  0
	uint8_t ssd1306setInversion(uint8_t isInvert);					//   
																	//     1,  0

	uint8_t ssd1306on(void);										//  
																	//     1,  0
	uint8_t ssd1306off(void);										//  
																	//     1,  0
	uint8_t ssd1306setContrast(uint8_t contrastLevel);				//   ,  -  0  255
																	//     1,  0
											
											
	/***********************    *****************************************/
	//   .
	//      
	// ,         
	
	uint8_t ssd1306updateDisplay(void);								//       
																	//     1,  0
	
	void ssd1306clearDisplay(void);									//   
	
	void ssd1306setPixel(uint8_t X, uint8_t Y, uint8_t color);		//     X, Y
																	// color == 0   , !=0 - 

	void ssd1306pgmImage2videoRam(uint8_t* pgmImageArea);			//    1024     
#endif /* OLED_SSD1306_H_ */