/*
 * RDA5807M.h
 *
 * Created: 21.03.2019 16:35:37
 *  Author: GoldenAndy
 */ 


#ifndef RDA5807M_H_
#define RDA5807M_H_

	/************************************
	 *	defines
	 *	     :
	 *  RDA5807M_DISABLE_RDS		-   -    RDS
	 *	RDA5807M_DEFAULT_BAND		-    .   ,  bandEuropeUsa (87-108)
	 *	RDA5807M_DEFAULT_FREQ_STEP	-     .   ,  frequencyStep50kHz
	 ************************************/



	#include "defines.h"
	#include <stdint.h>

	//-------------------------------------------     .
	//    ,   
	//      0,  1
	extern uint8_t i2c_WriteAddrWriteData(uint8_t i2c_7bitAddr, uint8_t Reg, void* Value, uint8_t dataCount); 
	//    ,   
	//      0,  1
	extern uint8_t i2c_WriteAddrReadData(uint8_t i2c_7bitAddr, uint8_t Reg, void* Value, uint8_t dataCount);  
	

	//------------------------------------------- i2c-
	#define RDA5807M_I2C_ADDR_SEQUENTAL_ACCESS		0x10	// 7-    / 
	#define RDA5807M_I2C_ADDR_RANDOM_ACCESS			0x11	// 7-    / 
															// ( 7 )
	//-------------------------------------------   

	#define RDA5807M_REG_ID				0x00					// ID register
	#define RDA5807M_VAL_IDMASK			0xFF00					// ID mask
	#define RDA5807M_VAL_ID				0x5800					// chip ID

	#define RDA5807M_REG_CONFIG			0x02					// Config register
	#define RDA5807M_VAL_DHIZ			0x8000					// Disable Hi-Z-output (0-Hi-Z, 1-normal)
	#define RDA5807M_VAL_DMUTE			0x4000					// Disable mute (0-mute, 1-normal)
	#define RDA5807M_VAL_FMONO			0x2000					// Force mono (0-stero, 1-force mono)
	#define RDA5807M_VAL_BASS			0x1000					// Bass boost (0-disable, 1-enable)
	#define RDA5807M_VAL_SEEKUP			0x0200					// Seek direction (1-up,0-dn)
	#define RDA5807M_VAL_SEEKSTART		0x0100					// Seek start (1-start,0-stop/disable)
	#define RDA5807M_VAL_SKMODE			(uint16_t)0x0080		// Seek mode (0 - cycle scan, 1-stop fn band limit)
	#define RDA5807M_VAL_CLK_MASK		(uint16_t)0x0070		// Chip clocks mask
	#define RDA5807M_VAL_CLK_32KHZ		(uint16_t)0x0000		// Chip clock 32768 Hz
	#define RDA5807M_VAL_CLK_12MHZ		(uint16_t)0x0010		// Chip clock 12 MHz
	#define RDA5807M_VAL_CLK_13MHZ		(uint16_t)0x0020		// Chip clock 13 MHz
	#define RDA5807M_VAL_CLK_19M2HZ		(uint16_t)0x0030		// Chip clock 19.2 MHz
	#define RDA5807M_VAL_CLK_24MHZ		(uint16_t)0x0050		// Chip clock 24 MHz
	#define RDA5807M_VAL_CLK_26MHZ		(uint16_t)0x0060		// Chip clock 26 MHz
	#define RDA5807M_VAL_CLK_38M4HZ		(uint16_t)0x0070		// Chip clock 38.4 MHz
	#define RDA5807M_VAL_RDSEN			(uint16_t)0x0008		// RDS enable (1-en,0-dis)
	#define RDA5807M_VAL_NEW			(uint16_t)0x0004		// New Demodulate Method Enable, can improve the receive sensitivity about 1dB.
	#define RDA5807M_VAL_SOFTRST		(uint16_t)0x0002		// 1 for soft reset
	#define RDA5807M_VAL_ENABLE			(uint16_t)0x0001		// Power up (0-off,1-on)
	
	#define RDA5807M_REG_TUNING			0x03					//    
	#define RDA5807M_VAL_FSTEP_MASK		(uint16_t)0x0003		//   
	#define RDA5807M_VAL_FSTEP_200KHZ	(uint16_t)0x0001		//  200 
	#define RDA5807M_VAL_FSTEP_100KHZ	(uint16_t)0x0000		//  100 
	#define RDA5807M_VAL_FSTEP_50KHZ	(uint16_t)0x0002		//  50 
	//#define RDA5807M_VAL_FSTEP_25KHZ	(uint16_t)0x0003		//  25 			  !!  ,    /  -  .
	#define RDA5807M_VAL_BAND_MASK		(uint16_t)0x000C		//  
	#define RDA5807M_VAL_BAND_EU_US		(uint16_t)0x0000		// 87-108 - /
	#define RDA5807M_VAL_BAND_JAPAN		(uint16_t)0x0004		// 76-91  - 
	#define RDA5807M_VAL_BAND_WIDE		(uint16_t)0x0008		// 76-108 - 
	#define RDA5807M_VAL_BAND_EAST_EU	(uint16_t)0x000C		// 65-76  -  
	#define RDA5807M_BAND_SHIFT			2						//   
	#define RDA5807M_VAL_TUNE			(uint16_t)0x0010		//    . 1- .  0  
	#define RDA5807M_VAL_CHAN_MASK		0xFFC0					//   
	#define RDA5807M_CHAN_SHIFT			6						//       

	#define RDA5807M_REG_CONFIG2		0x04					// Config2 register
	#define RDA5807M_VAL_DEEMPHAS_MASK	0x0800					// de-emphasis mask (0=75us, 1-50us)
	#define RDA5807M_VAL_DEEMPHAS_50US	0x0800					// Europe - 50us, USA - 75us
	#define RDA5807M_VAL_DEEMPHAS_75US	0x0000
	#define RDA5807M_VAL_REGCFG2_INITIAL	0x4A80					// 0xF7FF - DEFAULT mask
																// 0x0200 - softmute 1=en, 0=dis,    
																// 0x0100 - AFC, 0=work, 1= dis,     
	
	#define RDA5807M_REG_VOLUME			0x05					//  
	#define RDA5807M_VAL_VOLUME_MASK    (uint16_t)0x000F		//   
	#define RDA5807M_VAL_REGVOL_INITIAL	0x88D0					//   005   ,  
																//     11:8 (0x0F00)   
																// Seek SNR threshold, 4bits, default 1000=32dB
																//  0x0080   1    // LNAP (FMIN on RDA5807_FP)

	#define RDA5807M_REG_BLEND			0x07					//      ,
	#define RDA5807M_VAL_EASTBAND65M	0x0200					//      .   50 

	#define RDA5807M_REG_STATUS			0x0A
	//HI
	#define RDA5807M_HIVAL_RDSR			0x80					// RDS ready (1)
	#define RDA5807M_HIVAL_STC			0x40					// Seek/tune complete (1)
	#define RDA5807M_HIVAL_SF			0x20					// Seek failure (1)
	#define RDA5807M_HIVAL_RDSS			0x10					// RDS decoder synchronized (1)
	#define RDA5807M_HIVAL_BLK_E		0x08					// (When RDS enabled) block E has been found (1)
	#define RDA5807M_HIVAL_ST			0x04					// Stereo indicator (1)
	// HI+LO
	#define RDA5807M_READCHAN_MASK		0x03FF					// Channel mask

	#define RDA5807M_REG_STATUS2		0x0B
	//HI
	#define RDA5807M_HIVAL_RSSI_MASK    0xFE					// 7 bits of RSSI signal level
	#define RDA5807M_HIVAL_FM_TRUE      0x01					// Current channel is a station (1)
	//LO
	#define RDA5807M_LOVAL_FM_READY     0x80					// Ready
	#define RDA5807M_LOVAL_ABCD_E       0x10					// Data block E (1) or blocks A-D (0)
	#define RDA5807M_LOVAL_BLERA        0x0C					// 2 bits error level in block A(RDS) or E(RBDS)
	#define RDA5807M_LOVAL_BLERB        0x03					// 2 bits error level in block B(RDS) or E(RBDS)

	#define RDA5807M_REG_RDS1			0x0C					// RDS registers
	#define RDA5807M_REG_RDS2			0x0D					// RDS registers
	#define RDA5807M_REG_RDS3			0x0E					// RDS registers
	#define RDA5807M_REG_RDS4			0x0F					// RDS registers
	
	#ifndef RDA5807M_DISABLE_RDS
	#	define RDS_NAME_LENGTH			8
	#	define RDS_TEXT_LENGTH			42
	#endif
	
	//-------------------------------------------    
	
	//***  
	typedef enum {
		//frequencyStep25kHz	= RDA5807M_VAL_FSTEP_25KHZ,		!!  ,    /  -  .
		frequencyStep50kHz	= RDA5807M_VAL_FSTEP_50KHZ,
		frequencyStep100kHz = RDA5807M_VAL_FSTEP_100KHZ,
		frequencyStep200kHz = RDA5807M_VAL_FSTEP_200KHZ
		} frequencyStepType;
	
	//       RDA5807M_DEFAULT_FREQ_STEP    -  
	#ifndef RDA5807M_DEFAULT_FREQ_STEP
	#	define	RDA5807M_DEFAULT_FREQ_STEP frequencyStep50kHz
	#endif

	//*** 
	typedef enum {
		bandEuropeUsa	= RDA5807M_VAL_BAND_EU_US,
		bandJapan		= RDA5807M_VAL_BAND_JAPAN,
		bandEastEurope	= RDA5807M_VAL_BAND_EAST_EU,
		bandWorldWide	= RDA5807M_VAL_BAND_WIDE
		} bandSelectType;

	//      RDA5807M_DEFAULT_BAND    -  
	#ifndef RDA5807M_DEFAULT_BAND
	#	define	RDA5807M_DEFAULT_BAND bandEuropeUsa
	#endif
		
	//***  
	typedef enum {
		bassBoostOff = 0,
		bassboostOn = 1
		} bassBoostType;

	//***  /
	typedef enum {
		audioStereo = 0,
		audioForceMono
		} audioModeType;
	
	//***   
	typedef enum {
		muteOn = 0,
		muteOff
		} muteModeType;
		
	//***     /    
	typedef enum {
		tuneDown = 0,
		tuneUp
		} tuningDirectionType;
		
	//***  
	typedef enum {
		powerOff = 0,
		powerOn 
		} powerControlType;
		
	//***      
	typedef struct {
		uint8_t				fmReady;
		uint8_t				isStation;
		uint8_t				strength;
		uint8_t				stereo;
		uint8_t				seekFail;
		uint8_t				seekComplete;
		uint16_t			frequency;
		frequencyStepType	freqStep;
		bandSelectType		freqBand;
		#ifndef RDA5807M_DISABLE_RDS
			uint8_t			rdsReady;
			char			rdsStation[RDS_NAME_LENGTH+1];
			char			rdsText[RDS_TEXT_LENGTH+1];
		#endif
			} rda5807mStateType;



		
	//-------------------------------------------   
	typedef enum {
		rda_Ok = 0,			//  
		rda_ErrorTWI,		//    i2c
		rda_ErrorBadID,		//     ,   -  RDA5807....
		rda_ErrorBadParam	//  
	} rda5807mErrorType;

	rda5807mErrorType rda5807mGetErrorState(uint8_t clearError);	//   .
	//   -       clearError    
	//  ,               

	//-------------------------------------------   
	extern rda5807mStateType rda5807mState; // ,   .

	void rda5807mReadState(void); //   rda5807mState	
	

	//-------------------------------------------  
	rda5807mErrorType rda5807mInit(void);
	
	//-------------------------------------------  
	void rda5807mSetBand(bandSelectType band);
	
	//-------------------------------------------   
	void rda5807mSetFreqStep(frequencyStepType step); 
	
	//-------------------------------------------   ,   
	uint16_t rda5807mGetFrequency(void);

	//-------------------------------------------   ,   
	//      rda_ErrorBadParam
	void rda5807mSetFrequency(uint16_t frequency);

	//-------------------------------------------  ,  0-15
	//      rda_ErrorBadParam
	void rda5807mSetVolume(uint8_t volume);
	
	//-------------------------------------------   
	void rda5807mSetBassBoost(bassBoostType boost); 
	
	//-------------------------------------------  /
	void rda5807mSetAudioMode(audioModeType monoStereo);
	
	//-------------------------------------------   
	void rda5807mSetMuteMode(muteModeType mute);
	
	//-------------------------------------------   
	void rda5807mSetPowerMode(powerControlType power); 
	
	//-------------------------------------------  
	void rda5807mShiftFrequency(tuningDirectionType tuneDir);
	
	//-------------------------------------------  
	void rda5807mSearch(tuningDirectionType searchDir); 
	
#endif /* RDA5807M_H_ */